prolexic-liveness-checks-internal-kpi-summary

The following shows how to generate the prolexic-liveness-checks-internal-kpi-summary report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides a summary of network liveness check KPIs for target IP addresses. Default report time interval is FIVE_MINUTES.

Business object: targetIps

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available filters

FilterTypeDescription
targetIpsArray of stringsThe target IP addresses to filter by
regionsArray of stringsOptionalThe region to filter by: EMEA, AMERICAS or APAC
When this filter is present in the request body, the region suffix (eg. “... - APAC”, “... - EMEA”) is omitted from the targetresponse data.
scrubbing-centersArray of stringsOptional scrubbing centers to filter by. If you are also using the regions filter, you must select scrubbing centers within the same region. For a list of scrubbing centers, use List active scrubbing centers in the Prolexic Analytics API.

Available KPI data: also available as summary statistics

Data columnDescription
probeSuccessRateThe probe's success rate as a percentage
targetTotalCountThe total count of targets probed
probeCountThe total number of target probes sent
targetUnhealthyCountThe number of probes returned unhealthy
targetHealthyCountThe number of probes returned healthy
responseTimeMsAvgThe average probe response time in milliseconds
targetLastCheckedDurationMinutesThe duration of the last target check in minutes.
responseTimeMsMaxThe maximum probe response time in milliseconds
responseTimeMsMinThe minimum probe response time in milliseconds

POST request

POST /reporting-api/v1/reports/prolexic-liveness-checks-internal-kpi-summary/versions/5.1/report-data{?start,​end,interval}

Sample:

/reporting-reports-executor-api/v1/reports/prolexic-liveness-checks-internal-kpi-summary/versions/5.1/report-data?start=2025-11-14T13%3A00%3A00Z&end=2025-11-21T14%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
startString2025-05-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endString2025-06-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED

JSON request members

MemberTypeDescription
objectTypeStringThe business object for the report.
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps

Request body without optional filters

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    "targetIps": [
      "192.168.1.1",
 			"192.168.1.2",
 			"192.168.1.3",
 			"192.168.1.4",
 			"192.168.1.5"
    ]
  }
}

Request body with regions filter

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    “regions”: [ “EMEA” ],
    "targetIps": [
      "192.168.1.1",
 "192.168.1.2",
 "192.168.1.3",
 "192.168.1.4",
 "192.168.1.5"
    ]
  }
}

Request body with scrubbing-centers filter

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    “scrubbing-centers”: [ “LON5”, “LON6” ],
    "targetIps": [
      "192.168.1.1",
 "192.168.1.2",
 "192.168.1.3",
 "192.168.1.4",
 "192.168.1.5"
    ]
  }
}

JSON responses

Status 200 application/json

Response body (the response is the same with or without the optional filters)

{
    "metadata": {
        "name": "prolexic-liveness-checks-internal-kpi-summary",
        "version": "4",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "FIVE_MINUTES",
        "start": "2025-11-14T13:00:00Z",
        "end": "2025-11-21T14:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 0,
        "filters": [
            {
                "name": "targetIps",
                "values": [
                    "all"
                ]
            }
        ],
        "columns": [],
        "objectType": "targetIPs",
        "objectIds": [
            "192.168.1.1",
            "192.168.1.2",
            "192.168.1.3",
            "192.168.1.5",
            "192.168.1.4"
        ]
    },
    "data": [],
    "summaryStatistics": {
        "probeSuccessRate": {
            "value": "90.2",
            "details": {}
        },
        "targetTotalCount": {
            "value": "5",
            "details": {}
        },
        "probeCount": {
            "value": "50645",
            "details": {}
        },
        "targetUnhealthyCount": {
            "value": "3",
            "details": {}
        },
        "targetHealthyCount": {
            "value": "2",
            "details": {}
        },
        "responseTimeMsAvg": {
            "value": "5077.0",
            "details": {}
        },
        "responseTimeMsMax": {
            "value": "9999.0",
            "details": {}
        },
        "responseTimeMsMin": {
            "value": "100.0",
            "details": {}
        }
    }
}